/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.collection.arrays;

import net.ranides.assira.collection.suite.IteratorTester;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class IntArraysTest {
    
    public IntArraysTest() {
    }

    @Test
    public void testIterator() {
        int[] v1 = new int[]{1,2,3,4,5,6,7,8};
        IteratorTester.listIterator(IntArrays.iterator(v1), 0, new Integer[]{1,2,3,4,5,6,7,8});
        
        IteratorTester.listIterator(ArrayUtils.iterator(v1, 2, 7), 0, new Integer[]{3,4,5,6,7});
        
        assertTrue(true);
    }
    
}
